.postgresql: &postgresql
  type: postgresql
  host: '{{env.PGHOST}}'
  user: '{{env.PGUSER}}'
  password: '{{env.PGPASSWORD}}'
  database: '{{env.PGDATABASE}}'
  ssl: true
  # extend socket timeout for long running queries (seconds)
  socket_timeout: 10800
  options: {loglevel: 3}

in:
  <<: *postgresql
  query: |
    SELECT * FROM artists

out:
  <<: *postgresql
  schema: '{{env.PGSCHEMA}}'
  table: '{{env.PGTABLE}}'
  temp_schema: public
  mode: replace

